#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1700five4xi.py">
#<abstract4xi abstract = "fires to direction five and to distance 1700"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2five4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2FIVE - COORDINATE SIGNS OF SHOOT2FIVE4XI: (X - ,Y + ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2five17004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2five17004xi = {
                1: '-1026x726y1144z',
                2: '-1029x833y1065z',
                3: '-1048x1259y452z',
                4: '-106x6y1696z',
                5: '-1072x677y1131z',
                6: '-1080x784y1051z',
                7: '-110x525y1612z',
                8: '-1115x1206y435z',
                9: '-1116x626y1118z',
                10: '-1128x733y1038z',
                11: '-1157x571y1105z',
                12: '-1174x678y1025z',
                13: '-1180x1149y419z',
                14: '-1196x514y1092z',
                15: '-120x1144y1251z',
                16: '-1217x620y1011z',
                17: '-1231x455y1079z',
                18: '-123x0y1695z',
                19: '-1242x1088y402z',
                20: '-1257x559y997z',
                21: '-1263x393y1066z',
                22: '-1293x329y1053z',
                23: '-1294x496y983z',
                24: '-1300x1024y386z',
                25: '-1318x263y1039z',
                26: '-1327x431y969z',
                27: '-1340x195y1026z',
                28: '-1355x957y369z',
                29: '-1357x363y955z',
                30: '-1359x125y1012z',
                31: '-1384x294y941z',
                32: '-1406x886y353z',
                33: '-1407x222y927z',
                34: '-141x534y1607z',
                35: '-1425x149y913z',
                36: '-1440x75y898z',
                37: '-1451x0y884z',
                38: '-1454x813y336z',
                39: '-1455x58y1057z',
                40: '-1497x737y319z',
                41: '-1537x659y303z',
                42: '-1572x579y286z',
                43: '-1603x497y269z',
                44: '-1629x413y252z',
                45: '-1651x327y236z',
                46: '-1668x241y219z',
                47: '-1680x153y202z',
                48: '-1688x65y185z',
                49: '-174x541y1601z',
                50: '-180x1056y1319z',
                51: '-181x1148y1239z',
                52: '-186x1568y629z',
                53: '-208x547y1596z',
                54: '-20x6y1699z',
                55: '-238x1058y1308z',
                56: '-242x550y1590z',
                57: '-244x1149y1227z',
                58: '-269x1562y613z',
                59: '-278x550y1584z',
                60: '-297x1057y1297z',
                61: '-307x1147y1216z',
                62: '-314x549y1577z',
                63: '-351x1552y597z',
                64: '-351x545y1571z',
                65: '-356x1052y1286z',
                66: '-36x10y1699z',
                67: '-370x1141y1204z',
                68: '-388x538y1564z',
                69: '-415x1044y1275z',
                70: '-426x529y1558z',
                71: '-434x1131y1192z',
                72: '-434x1537y581z',
                73: '-463x518y1551z',
                74: '-475x1032y1263z',
                75: '-497x1117y1180z',
                76: '-4x1y1699z',
                77: '-501x504y1544z',
                78: '-515x1517y565z',
                79: '-51x502y1623z',
                80: '-534x1017y1252z',
                81: '-538x487y1537z',
                82: '-54x11y1699z',
                83: '-560x1100y1167z',
                84: '-574x468y1529z',
                85: '-593x999y1240z',
                86: '-596x1493y549z',
                87: '-610x446y1522z',
                88: '-623x1080y1155z',
                89: '-646x422y1514z',
                90: '-651x976y1229z',
                91: '-676x1465y533z',
                92: '-680x395y1506z',
                93: '-685x1055y1142z',
                94: '-709x951y1217z',
                95: '-713x366y1498z',
                96: '-71x11y1698z',
                97: '-745x334y1490z',
                98: '-746x1027y1130z',
                99: '-754x1432y517z',
                100: '-765x922y1205z',
                101: '-775x300y1482z',
                102: '-79x514y1618z',
                103: '-804x264y1474z',
                104: '-806x995y1117z',
                105: '-821x889y1193z',
                106: '-831x1395y501z',
                107: '-831x225y1465z',
                108: '-856x184y1456z',
                109: '-864x960y1104z',
                110: '-875x853y1181z',
                111: '-879x142y1447z',
                112: '-88x9y1697z',
                113: '-899x97y1438z',
                114: '-905x1354y484z',
                115: '-918x51y1429z',
                116: '-921x921y1091z',
                117: '-927x814y1169z',
                118: '-933x2y1420z',
                119: '-976x879y1078z',
                120: '-977x772y1156z',
                121: '-978x1308y468z'}
#"
#"/>

# ----------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire1700five4xi" usage = "target function for charge17004xi4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# ----------------------------------------------------------------------------------------------------------------
def fire1700five4xi(queue2five, consumer_channel2five, publisher_channel2five):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1700FIVE4XIFIVE4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1700FIVE4XIFIVE4XI -  QUEUE2FIVE: ", queue2five)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1700FIVE4XIFIVE4XI -  CONSUMER_CHANNEL2FIVE: ", consumer_channel2five)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1700FIVE4XIFIVE4XI -  PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1700FIVE4XIFIVE4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2five.put(shot2five17004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1700FIVE4XIFIVE4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1700FIVE4XIFIVE4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1700FIVE4XIFIVE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2five8shot2five17004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2five8shot2five17004xi</nack2put4xi>" 
            
        publisher_channel2five.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1700FIVE4XIFIVE4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE1700FIVE4XIFIVE4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1700FIVE4XIFIVE4XI - RETURNING QUEUE OBJECT QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi())  
        # 
            
    return queue2five    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1700five4xi.py                             
# -------------------------------------------------------------------------------------------------                